/**
 * Maps to the BT module namespace created on the window.braintree object
 */
export const BtModule = {
  Client: "client",
  HostedCardFields: "hostedFields",
} as const;

export type BtModuleKeys = (typeof BtModule)[keyof typeof BtModule];

export type BtModuleLoadConfig = {
  id: string;
  module: BtModuleKeys;
  script: string;
};

export const btModulesLoadConfig: Record<BtModuleKeys, BtModuleLoadConfig> = {
  [BtModule.Client]: {
    id: "client",
    module: BtModule.Client,
    script: "client.min.js",
  },
  [BtModule.HostedCardFields]: {
    id: "hcf",
    module: BtModule.HostedCardFields,
    script: "hosted-fields.min.js",
  },
};
